agent:
  # http server listen addr
  listen_addr: :8080
  # Interval for health check
  monitor_interval: 10s
  # Time to flush out inactive apps
  cleanup_timer: 15m
  # Consul api addr for dynamic discovery
  consul_addr: https://consul
  # interval to query consul for app discovery
  consul_query_interval: 5m
  # token to authenticate client if consul requires it
  consul_token: 00000000-0000-0000-0000-000000000000

bgp:
  local_as: 12345
  remote_as: 6789
  # override the peer IP to use instead of auto discovering
  peer_ip: 10.10.10.1

  # Alternatively, define multiple BGP peers for redundancy
  #peers:
  #  - peer_ip: 10.10.10.1
  #    peer_as: 6789
  #    communities:
  #      - 100:100
  #      - 200:200
  #    md5_env_var: GOCAST_BGP_PEER1_PASSWORD  # optional. Set via: export GOCAST_BGP_PEER1_PASSWORD="secret"
  #  - peer_ip: 10.10.10.2
  #    peer_as: 6789
  #    communities:
  #      - 100:101
  #      - 200:201
  #    multi_hop: true  # optional
  #    md5_password: "secret123" # optional
  
  communities:
    - asn:nnnn
    - asn:nnnn
  origin: igp

# optional list of apps to register on startup
apps:
  - name: app1
    vip: 1.1.1.1/32
    vip_config:
      # additional per VIP BGP communities
      bgp_communities: [ aaaa:bbbb ]
    monitors: 
      - port:tcp:5000
